﻿/* for static development only to remove */
/* html {
  height: 100%;
  overflow: hidden;
}
body {
  font: 10px sans-serif;
  height: 100%;
  font-family: 'Work Sans' !important;
}
p{
  text-align: left;
  color:#222;
} */
/* to remove */

html {
  font-family: 'Work Sans', Arial, sans-serif;
}

.mainContainer {
  --fuchsia: #d10077;
  --midnightblue: #1b0757;
  --midnight-400: #5252cb;
  --stone-100: #f9f8f7;
  --stone-200: #f1edea;
  --stone-500: #e2dcd6;
  color: var(--midnightblue);
  overflow: hidden;
  /* background-color: var(--stone-100); */
}

.mainContainer h2 {
  color: #1b0757;
  font-weight: 600;
  margin: 0;
  font-size: 20px;
  line-height: 30px;
}
.mainContainer h3 {
  color: #1b0757;
  font-weight: 600;
  margin: 0;
  margin-bottom: 4px;
  font-size: 16px;
}

h1,
h2,
h3,
h4,
p,
span {
  color: var(--midnightblue) !important;
}

.compensationCalculatorChartDiv {
  height: 100%;
  width: 100%;
}

#compensationCalculatorChart {
  font-family: 'Work Sans';
  position: relative;
}

.compensationCalculatorChartDiv > svg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.compensationCalculatorChartDiv .median_salary_svg_icon {
  height: 20px;
  width: auto;
  position: absolute;
  display: none;
}

.compensationCalculatorChartDiv .toggle_button {
  background-color: transparent;
  color: var(--midnightblue);
  border: 2px solid var(--midnightblue);
  padding: 8px;
  border-radius: 4px !important;
  text-transform: uppercase !important;
  margin-right: 8px !important;
  margin-bottom: 8px !important;
  font-family: 'Work Sans' !important;
  font-size: 10px !important;
  font-weight: 700;
  line-height: normal !important;
  outline: none;
}

.compensationCalculatorChartDiv .toggle_button.active {
  background-color: var(--midnightblue);
  color: var(--stone-100);
}
.compensationCalculatorChartDiv .job_role_circle {
  fill: #cdc7ff;
  opacity: 0.5;
}
.compensationCalculatorChartDiv .job_role_circle.full_opacity {
  opacity: 1;
}

.compensationCalculatorChartDiv .job_role_circle.active_chart_circle {
  fill: #1b0757 !important;
  opacity: 1;
}
.compensationCalculatorChartDiv .job_role_circle.hover_chart_circle {
  fill: #1b0757;
  opacity: 1;
}
.compensationCalculatorChartDiv .svg_range_line.active_range {
  stroke: #1b0757;
}
.svg_tooltip_div {
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  /* pointer-events:none; */
  transform: translateY(-50%);
}

.compensationCalculatorChartDiv .tooltip_job_role {
  cursor: pointer;
}

.compensationCalculatorChartDiv .svg_tooltip {
  width: 250px;
  /* pointer-events:none; */
  /* background-color:white; */
  padding: 8px;
  background-color: var(--stone-200);
  color: var(--midnightblue) !important;
  border-radius: 4px;
}

.compensationCalculatorChartDiv .svg_arrow {
  display: none;
  position: absolute;
  width: 0;
  height: 0;
}
.compensationCalculatorChartDiv .svg_arrow.arrow-up {
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid var(--stone-200);
  left: 50%;
  transform: translate(-50%, -100%); /* transform: translate(270px, -45px); */
}

.compensationCalculatorChartDiv .svg_arrow.arrow-down {
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid var(--stone-200);
  /* transform: translate(120px, -1px); */
  top: 100%;
  left: 50%;
  transform: translate(-50%, -1px); /* transform: translate(270px, -45px); */
}

.compensationCalculatorChartDiv .svg_arrow.arrow-right {
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-left: 10px solid var(--stone-200);
  top: 50%;
  left: 100%;
  transform: translate(0px, -50%); /* transform: translate(270px, -45px); */
}

.compensationCalculatorChartDiv .svg_arrow.arrow-left {
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 10px solid var(--stone-200);
  top: 50%;
  transform: translate(-100%, -50%);
}

/* .svg_tooltip.tip span:before{
    content:'';
    display:block;
    width:0;
    height:0;
    position:absolute;

    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-right:8px solid black;
    left:-8px;

    top:7px;
} */
.compensationCalculatorChartDiv .svg_tooltip * {
  /* color:white !important; */
  font-weight: 700;
  font-family: 'Work Sans';
  line-height: normal !important;
}
.compensationCalculatorChartDiv .svg_tooltip h1 {
  font-size: 16px;
  margin: 0px;
}
.compensationCalculatorChartDiv .svg_tooltip p {
  margin-bottom: 0px;
  font-size: 16px;
}

.compensationCalculatorChartDiv .y.axis .tick line {
  display: none;
}
.compensationCalculatorChartDiv .grid .tick line {
  stroke: #b2b2b2;
  stroke-width: 0.5px;
  pointer-events: none;
}

.compensationCalculatorChartDiv .tick text,
.tick text tspan,
.x_axis_label {
  fill: var(--midnightblue);
  font-family: 'Work Sans';
  font-weight: 700;
  font-size: 10px;
}
.compensationCalculatorChartDiv path.domain {
  display: none;
}

/* The switch - the box around the slider */
.compensationCalculatorChartDiv .chart_switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;
}

/* Hide default HTML checkbox */
.compensationCalculatorChartDiv .chart_switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.compensationCalculatorChartDiv .chart_slider_container {
  display: none;
  vertical-align: middle;
}
.compensationCalculatorChartDiv .chart_slider_container * {
  display: inline-block;
  vertical-align: middle;
  margin-bottom: 0;
}
.compensationCalculatorChartDiv .chart_slider_container p {
  font-weight: 700;
  margin-bottom: 0;
  font-size: 10px;
  font-family: Work Sans;
}
.compensationCalculatorChartDiv .chart_slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.compensationCalculatorChartDiv .chart_slider:before {
  position: absolute;
  content: '';
  height: 18px;
  width: 18px;
  left: 2px;
  bottom: 1px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.compensationCalculatorChartDiv .chart_switch input:checked + .slider {
  background-color: #cdc7ff;
}

.compensationCalculatorChartDiv .chart_switch input:focus + .slider {
  box-shadow: 0 0 1px #cdc7ff;
}

.compensationCalculatorChartDiv .chart_switch input:checked + .slider:before {
  -webkit-transform: translateX(18px);
  -ms-transform: translateX(18px);
  transform: translateX(18px);
}

/* Rounded sliders */
.compensationCalculatorChartDiv .chart_slider.round {
  border-radius: 34px;
}

.compensationCalculatorChartDiv .chart_slider.round:before {
  border-radius: 50%;
}

.compensationCalculatorChartDiv .graph_description_labels {
  font-weight: 600;
  margin-top: 10px;
  margin-bottom: 0;
  font-size: 16px;
}

@media only screen and (max-width: 600px) {
  .compensationCalculatorChartDiv .svg_tooltip {
    width: 150px;
  }
  .compensationCalculatorChartDiv .toggle_button {
    width: 40%;
    /* margin-top:15px; */
  }
  .svg_arrow {
    visibility: hidden;
  }
}

@media only screen and (max-width: 960px) {
  .compensationCalculatorChartDiv .toggle_button {
    margin-bottom: 8px;
  }
}

/* Preqin Module CSS*/

.landingPage {
  position: relative;
  height: calc(100vh - 70px);
}

.landingPageBackground {
  background-color: grey;
  background-image: url('Images/Compensation_Calculator_Background_midnight.png');
  background-position: 50%;
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  width: 100%;
  height: 100%;
}

.landingPageContentWrapper {
  color: white;
  top: calc(50% - 72px);
  z-index: 1;
  position: absolute !important;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.landingPageTitle {
  font-family: Work Sans, Arial, sans-serif;
  font-size: 24px !important;
  line-height: 26px !important;
  font-weight: 600 !important;
  color: var(--midnightblue) !important;
  margin-bottom: 16px !important;
}

.formViewdescription {
  font-family: Work Sans, Arial, sans-serif;
  font-size: 16px !important;
  font-weight: 400 !important;
  color: var(--stone-100) !important;
  margin-bottom: 32px !important;
}

.landingPageDescription {
  font-family: Work Sans, Arial, sans-serif;
  font-weight: 400 !important;
  line-height: 20px !important;
  color: var(--midnightblue) !important;
  margin-bottom: 16px !important;
  
}

.formViewdescription {
  line-height: 24px !important;
  margin-bottom: 32px !important;
}

.select2-container,
.landingPageRoleSelection,
.overViewPageRoleSelection {
  margin-bottom: 32px !important;
  width: 270px !important;
}

.overviewContentContainer .select2-container {
  width: 100% !important;
}

.accessCalculatorBtn,
.formSubmitBtn {
  background-color: var(--stone-200);
  border-color: transparent;
  color: var(--midnightblue);
  font-size: 16px !important;
  font-family: Work Sans, Arial, sans-serif;
  font-weight: 600;
  border-radius: 4px !important;
  cursor: pointer !important;
  height: auto;
  min-height: 40px;
  min-width: 0;
  text-align: center;
  padding: 8px 64px;
  display: block;
}

.landingPageSubmitBtn {
  background-color: var(--midnightblue);
  border-color: transparent;
  color: white;
  font-size: 16px !important;
  font-family: Work Sans, Arial, sans-serif;
  font-weight: 600;
  border-radius: 4px !important;
  cursor: pointer !important;
  height: auto;
  min-height: 40px;
  min-width: 0;
  text-align: center;
  padding: 8px 64px;
  display: block;
}

.landingPageSubmitBtn:hover {
  background-color: var(--midnight-400);
}


.accessCalculatorBtn:hover,
.formSubmitBtn:hover {
  background-color: var(--stone-500);
}

.landingPageSubmitBtn,
.accessCalculatorBtn {
  margin: 0 auto;
}

.formCtas {
  display: flex;
  justify-content: center;
  align-items: baseline;
  width: 100%;
}

.overviewPage {
  display: none;
  margin: 32px 16px;
}

.overviewTitleSM,
.formViewTitle {
  font-family: Work Sans, Arial, sans-serif;
  font-size: 24px !important;
  line-height: 32px !important;
  font-weight: 600 !important;

  margin-bottom: 16px !important;
}

#overviewJobDescription,
.overviewWrapper h3,
.overviewWrapper p,
.formWrapper p {
  font-family: Work Sans, Arial, sans-serif;
  font-size: 16px !important;
  line-height: 24px !important;
}

.chartWrapper > p {
  font-family: Work Sans, Arial, sans-serif;
  font-size: 12px !important;
  line-height: 16px !important;
  font-weight: 400;
  margin-bottom: 8px;
}

.overviewWrapper h3 {
  font-weight: 600;
  margin-bottom: 0;
}

.overviewWrapper p {
  font-weight: 400;
  margin-bottom: 0;
}

.overviewDetails p {
  filter: blur(3px);
  margin-top: 0;
}

.overviewDetails > div {
  margin-bottom: 16px;
}

.eyebrow {
  font-size: 10px;
  line-height: 16px;
  font-weight: 700;
  text-transform: uppercase;
  border-left: 2px var(--fuchsia) solid;
  padding-left: 8px;
  margin-bottom: 16px;
}

.formWrapper {
  margin-top: 16px;
  display: none;
  width: 100%;
}

.formContainer {
  margin: 0 auto;
  padding: 0 32px;
  max-width: 804px;
}

.container-fluid {
  padding: 0 32px;
}

.formFields {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 32px;
  font-size: 1.1rem;
}

.email,
.company {
  grid-column: 1/3;
}

.formFields > div,
.formFields > button,
.row > h2,
.row > p {
  margin-bottom: 16px !important;
}

.alignText {
  text-align: left;
}

.privacyPolicy {
  font-family: Work Sans;
  font-size: 16px;
  line-height: 24px;
  font-weight: 700;
  color: var(--fuchsia) !important;
}

#overviewTitleXL {
  display: none;
}

#overviewTitleSM {
  display: block;
  margin-bottom: 32px;
}

.formInput {
  display: block;
  width: 100%;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  margin-top: 16px;
  color: var(--midnightblue);
  background-color: var(--stone-100);
  background-clip: padding-box;
  border: 1px solid #ced4da;
  appearance: none;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.formInput:focus,
.formSubmitBtn:focus,
.accessCalculatorBtn:focus,
.toggle_button:focus,
.landingPageSubmitBtn:focus {
  outline: none !important;
}

.overviewContentContainer {
  display: flex;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
  flex-direction: column-reverse !important;
}

.justifyContentCenter {
  justify-content: center !important;
}

.form-check-input {
  width: 0.93em;
  height: 0.93em;
  background-color: var(--midnightblue);
}

.select2-container .select2-selection--single {
  height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 35px !important;
  text-align: left !important;
  font-size: 16px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 35px !important;
}

.select2-container--default .select2-selection--single {
  background-color: #f9f8f7 !important;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #e2dcd6 !important;
  color: #1b0757 !important;
}

.select2-container--default .select2-results__option--disabled,
.select2-results__option--selectable {
  color: #1b0757 !important;
}

.select2-results__options {
  font-size: 16px !important;
}

.form-check-label {
  display: inline !important;
}

.disclaimer {
  text-align: center;
  font-size: 12px;
  line-height: 14px;
  font-weight: 400;
  bottom: 0px;
  margin-bottom: 24px;
}

.infoTooltip {
  display: block;
  fill: var(--stone-500);
  position: relative;
  top: 3px;
  left: 8px;
  width: 100%;
}

.formCtas > p {
  color: var(--midnightblue) !important;
  padding-right: 20px;
  cursor: pointer;
}

.errorLabel {
  color: #ff6961 !important;
}

.errorInput {
  border-color: #ff6961 !important;
}

.tooltip {
  position: relative;
  color: white;
  text-align: center;
  font-size: 18px;
}

.tooltip:before {
  position: absolute;
  z-index: 2;
  display: none;
  width: 250px;
  max-width: 250px;
  padding: 10px;
  font-size: 0.8em;
  line-height: 1.4;
  border-radius: 5px;
  background-color: var(--stone-200);
  color: var(--midnightblue);
  content: attr(data-infoTooltip);
}

.tooltip:after {
  position: absolute;
  z-index: 1;
  display: none;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  content: '';
}

.tooltip:hover:before,
.tooltip:hover:after {
  display: inline-block;
}

.tooltip.top:before {
  bottom: calc(100% + 5px);
  left: 100%;
  transform: translateX(-50%);
}

.tooltip.top:after {
  bottom: 100%;
  left: 90%;
  transform: translateX(-50%);
  border-bottom-width: 0;
  border-top-color: var(--stone-200);
}

.serverError {
  color: #ff6961;
  line-height: 26px;
  cursor: text;
  font-family: Work Sans, Arial, sans-serif;
  font-weight: 600;
  letter-spacing: normal;
  font-size: 14px;
  display: none;
}

.additionalDetails {
  display: none;
}

.getDataAccess > h2 {
  margin-bottom: 8px;
  font-size: 16px;
  font-weight: 800;
  line-height: 24px;
}

.getDataAccess > p,
.additionalDisclaimer > p {
  filter: blur(0) !important;
}

.additionalDisclaimer {
  margin-top: 32px;
}

.getDataAccess > p {
  font-weight: 500;
}

.getDataAccess {
  margin-top: 16px;
}

@media screen and (min-width: 768px) {
  .landingPage {
    height: calc(100vh);
  }

  .landingPagetitle {
    font-size: 54px !important;
    line-height: 72px !important;
  }

  .landingPageDescription,
  .formViewdescription {
    font-size: 24px !important;
    line-height: 32px !important;
  }
  .landingPagetitle,
  .landingPageDescription,
  .landingPageRoleSelection,
  .overViewPageRoleSelection,
  .select2-container {
    margin-bottom: 40px !important;
  }
  .landingPageRoleSelection,
  .overViewPageRoleSelection,
  .select2-container,
  .overviewContentContainer .select2-container {
    width: 295px !important;
  }

  #overviewTitleXL,
  .formViewTitle {
    font-family: Work Sans, Arial, sans-serif;
    font-size: 48px !important;
    line-height: 64px !important;
    font-weight: 600;
    color: var(--midnightblue) !important;
  }

  #overviewTitleXL {
    margin-bottom: 64px;
  }

  .formViewTitle {
    margin-bottom: 32px;
  }

  .alignText {
    text-align: center;
  }

  .eyebrow {
    margin-bottom: 32px;
  }

  .overviewDetails > div {
    margin-bottom: 32px;
  }

  .formFields > div,
  .formFields > button,
  .row > h2,
  .row > p {
    margin-bottom: 32px !important;
  }

  #overviewTitleSM {
    display: none;
  }

  #overviewTitleXL {
    display: block;
  }

  .overviewContentContainer {
    flex-direction: row !important;
  }

  .form-check-input {
    width: 1.25em;
    height: 1em;
  }

  .accessCalculatorBtn {
    margin: 0;
    margin-top: 32px;
  }

  .serverError {
    font-size: 18px;
  }

  .getDataAccess {
    margin-top: 32px;
  }
}

@media screen and (min-width: 1280px) {
  .landingPage {
    height: calc(100vh);
  }
}

@media screen and (max-width: 420px) and (max-height: 670px) {
  .landingPage .disclaimer {
    font-size: 9px !important;
    line-height: 10px !important;
  }

  .landingPagetitle {
    font-size: 20px !important;
    line-height: 24px !important;
  }

  .landingPageDescription {
    font-size: 12px !important;
    line-height: 16px !important;
  }

  .landingPageContentWrapper > * {
    margin-bottom: 8px !important;
  }
}

.container {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.calculatorWrapper {
  padding: 0 128px;
}

.buttonContainer {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
}

.textInfo {
  max-width: 650px;
  flex-grow: 1;
}

.textInfo p {
  font-family: Work Sans, Arial, sans-serif;
  font-size: 16px !important;
  line-height: 24px !important;
}

.graphInfo {
  flex-grow: 1;
  flex-shrink: 0;
  margin-left: 48px;
  max-width: 65%;
}

.overviewDetails {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 8px;
}

.additionalDetailsDescription {
  margin-top: 0;
}

.compensationFormContainer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

@media screen and (max-width: 1028px) {
  .calculatorWrapper {
    padding: 0 16px;
  }
}

@media screen and (max-width: 768px) {
  .calculatorWrapper {
    padding: 0;
  }

  .landingPage .disclaimer {
    font-size: 10px !important;
    margin-bottom: 5px !important;
  }

  .landingPageRoleSelection,
  .landingPage .select2-container {
    margin-bottom: 16px !important;
    width: 270px !important;
  }

  .container {
    flex-direction: column-reverse;
  }

  .overviewDetails {
    grid-template-columns: 1fr;
  }

  .textInfo {
    max-width: 100%;
  }

  .graphInfo {
    margin-left: 0;
    max-width: 100%;
  }

  .select2-container,
  .landingPageRoleSelection,
  .overViewPageRoleSelection {
    width: 100% !important;
  }
}
